#!/bin/sh

# enter the current directory
cd "$(dirname $0)"
export PANDOC_DIR=pandoc/cl

export files="
  src/parcours.md
"

if [ -z $1 ]; then
  export target=pdf
else
  export target=$1
fi

export ARGS="
  --from markdown
  --metadata-file ./metadata.yaml
  --lua-filter "${PANDOC_DIR}/format-link.lua"
"
export PDF_TEMPLATE="./pandoc/template/eisvogel.tex"
export LATEX_ARGS="
  --template "${PDF_TEMPLATE}"
  --lua-filter "${PANDOC_DIR}/boxes.lua"
"


if [ $target == "latex" ]; then
  pandoc $ARGS $LATEX_ARGS \
    --to latex \
    $files;
elif [ $target == "pdf" ]; then
  pandoc $ARGS $LATEX_ARGS \
    --to pdf \
    --pdf-engine xelatex \
    -o ./user-manual.pdf \
    $files
elif [ $target == "html" ]; then
  # check target directory exists
  if [ ! -d "./build/html" ]; then
    echo "create build/html directory"
    mkdir -p "./build/html"
  fi

  pandoc $ARGS \
   --to html \
   -o ./build/html/index.html \
  $files
fi

